﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.EJ2.Navigations;
namespace EssentialJS2WebApplication2.Controllers
{
    public partial class DashboardLayoutController : Controller
    {
        public ActionResult DashboardLayoutFeatures()
        {
            List<MenuItem> menuItems = new List<MenuItem>(){
            new MenuItem
            {
                Text = "My Dashboard"
            },
            new MenuItem
            {
                Text = "License & Downloads",
                Items = new List<MenuItem>()
                {
                    new MenuItem { Text= "Downloads & Keys" },
                    new MenuItem { Text= "Patches" }                    
                }
            },
            new MenuItem
            {
                Text = "Manage Trials",
                Items = new List<MenuItem>()
                {
                    new MenuItem { Text= "Trial Download & Keys" },
                    new MenuItem { Text= "Start Trials" },
                    new MenuItem { Text= "Trial History" }
                }
            },
            new MenuItem
            {
                Text = "Purchase & Renewals",
                Items = new List<MenuItem>()
                {
                    new MenuItem { Text= "My Orders" },
                    new MenuItem { Text= "My Subscriptions" },
                    new MenuItem { Text= "Upcoming Renewals" }
                }
            },
            new MenuItem
            {
                Text = "Support",
                Items = new List<MenuItem>()
                {
                    new MenuItem { Text= "View Incidents" },
                    new MenuItem { Text= "New Incident Creation" },
                    new MenuItem { Text= "Community Forums" }
                }
            },
            new MenuItem
            {
                Text = "My Account",
                Items = new List<MenuItem>()
                {
                    new MenuItem { Text= "Profile" },
                    new MenuItem { Text= "Change Password" },
                    new MenuItem { Text= "Delete Account" }
                }
            },
            new MenuItem { Text = "My Benefits" }
            };

            ViewBag.data = menuItems;
            return View();
        }
    }
}
